Package com.pixelmed.convert

# Class Immunostaining

java.lang.Object
com.pixelmed.convert.Immunostaining

public class Immunostaining extends Object

A class for encoding channel parameters describing immunostaining (including antibodies, fluorescence).

Development of this class has been funded in part with Federal funds from the National Cancer Institute, National Institutes of Health, under Task Order No. HHSN26110071 under Contract No. HHSN261201500003l (Imaging Data Commons).

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Immunostaining.ImmunostainingChannel`

## Constructor Summary

Constructors
Constructor
Description
`Immunostaining(File file)`
`Immunostaining(SortedMap<String,String> channelNamesByChannelID)`

## Method Summary

Modifier and Type
Method
Description
`static CodedSequenceItem`
`getCodedFluorophore(String name)`
`static CodedSequenceItem`
`getCodedTarget(String name)`
`static CodedSequenceItem`
`getCodedUsingSubstance(String name)`
`static CodedSequenceItem`
`getCodeForChannelInMap(Map<String,CodedSequenceItem> map, String name)`
`SortedMap<String,AttributeList>`
`getMapOfOpticalPathAttributesByChannelID()`
`SortedMap<String,SequenceAttribute>`
`getMapOfSpecimenPreparationStepContentItemSequenceByChannelID()`
`static void`
`main(String[] arg)`
Read a tab or comma separated values file containing channel parameters describing immunostaining (including antibodies, fluorescence).

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Immunostaining

public Immunostaining(File file) throws FileNotFoundException, IOException, DicomException

Throws:
  `FileNotFoundException`
  `IOException`
  `DicomException`

### Immunostaining

public Immunostaining(SortedMap<String,String> channelNamesByChannelID)

## Method Details

### getCodeForChannelInMap

public static CodedSequenceItem getCodeForChannelInMap(Map<String,CodedSequenceItem> map, String name)

### getCodedTarget

public static CodedSequenceItem getCodedTarget(String name)

### getCodedUsingSubstance

public static CodedSequenceItem getCodedUsingSubstance(String name)

### getCodedFluorophore

public static CodedSequenceItem getCodedFluorophore(String name)

### getMapOfOpticalPathAttributesByChannelID

public SortedMap<String,AttributeList> getMapOfOpticalPathAttributesByChannelID() throws DicomException

Throws:
  `DicomException`

### getMapOfSpecimenPreparationStepContentItemSequenceByChannelID

public SortedMap<String,SequenceAttribute> getMapOfSpecimenPreparationStepContentItemSequenceByChannelID() throws DicomException

Throws:
  `DicomException`

### main

public static void main(String[] arg)

Read a tab or comma separated values file containing channel parameters describing immunostaining (including antibodies, fluorescence).